ODBC version 2.573.3711.00 problems 
Author Message
 ODBC version 2.573.3711.00 problems

Hi all,

I am writing an app which has an Oracle 8.0 dB, using VC++ 5.0 on NT
4.0 with service pack 4.
We used to use the "Microsoft ODBC Driver for Oracle" but as we have
just recently installed MDAC 2.1 we now use "Microsoft ODBC for
Oracle" instead and everything appeared to be okay, but whilst we have
been doing some more rigourous testing we found that the ODBC is
causing a problem.

We keep getting an error from the Oracle "ORA-01722 - Invalid Number".
the fields we are trying to change are Number(23,3), so they expect a
decimal value. This problem never occured when we used the other
driver, but as we want to use the MDAC redist, we swapped over,
expecting everything to run fine.
I have seen that there was a problem for Oracle DB running from a Unix
box, but ours is on an NT box, so the problem stated in MSDN shouldn't
affect us.

I would appreciated any help on this matter as it is beginning to get
a little annoying!!

Kind Regards
Russell



Tue, 13 Nov 2001 03:00:00 GMT
 ODBC version 2.573.3711.00 problems

Russell,

You have to use MDAC 2.1SP1a (2.1.1.3711.11) with the JETODBC.exe patch.
After you install everything check the odbcjt32.dll to see if its version
v4.0.4028.0 or higher.
Go to http://www.microsoft.com/data/download.htm

Make sure its the last thing you install as different applications can
overwrite the MDAC components.



Thu, 15 Nov 2001 03:00:00 GMT
 ODBC version 2.573.3711.00 problems
Ken,

Thanks for this information, but as the DB is an Oracle server on an
NT machine, I actually don't see how this helps. Even so having tried
your suggestion, there was no change.

But Thanks all the same for your time
Russell



Quote:
>Russell,

>You have to use MDAC 2.1SP1a (2.1.1.3711.11) with the JETODBC.exe patch.
>After you install everything check the odbcjt32.dll to see if its version
>v4.0.4028.0 or higher.
>Go to http://www.microsoft.com/data/download.htm

>Make sure its the last thing you install as different applications can
>overwrite the MDAC components.



Sat, 17 Nov 2001 03:00:00 GMT
 
 [ 3 post ] 

 Relevant Pages 

1. ODBC version 2.573.3711.00 problems

2. Connect problem to Oracle8i db using MS ODBC For Oracle version 2.573.5303.00

3. Problems after Upgrade 4.00.3711.08 to 4.00.5303.01

4. ODBC Error in ver 4.00.3711.08

5. Parameterized Queries in DTS using SYBASE 11 Driver Version 3.01.00.00

6. MS OLE DB Provider for Oracle/MS ODBC for Oracle ver. 2.573.4202.00

7. Oracle 8.1.5 and MDAC ODBC 2.573.4202

8. Help with 00:00:00:00 format

9. Oracle 8.1.5 using ODBC driver 2.573.4403

10. Bad Timestamp Format at 19 in 1974-08-02 00:00:00.00+01] in PostgresQL

11. Oracle 8.1.5 and MDAC ODBC 2.573.4202

12. INFORMIX-NET Version 5.00.UD1 and ODBC


 
Powered by phpBB® Forum Software